"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def storage(hub, ctx, org: str, provider: str, num_hosts: int) -> None:
    """
    **Autogenerated function**
    
    Get constraints on cluster storage size for EBS-backed clusters.

    Args:
        org(str): Organization identifier.
        provider(str): Cloud storage provider ID (example AWS).
        num_hosts(int): Number of hosts in cluster.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.storage.storage(ctx, org=value, provider=value, num_hosts=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.storage.storage org=value, provider=value, num_hosts=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/storage/cluster-constraints".format(**{"org": org}),
        query_params={"provider": provider, "num_hosts": num_hosts},
        data={}
    )

